1.14    23 March 2014
        Upgraded to Thread::Queue 3.*, as part of Perl 5.18.*.

1.13    7 December 2012
        Upgraded to Devel::MaintBlead 0.08.  This should fix the problem as
        reported in https://rt.cpan.org/Ticket/Display.html?id=81354 by
        Justin Traer.  Also upgraded the maint version to 0.16.

1.12    4 June 2012
        Upgraded to Devel::ThreadsForks 0.05 and Devel::MaintBlead 0.04.
        Also upgraded the maint version to 0.15.

1.11    2 June 2012
        Fixed problem in serializer specification.  Found while working on
        Thread::Queue::Any::Monitored subclass.

1.10    2 June 2012
        Added "THAW" class method for subclasses such as

1.09    2 June 2012
        Updated "maintblead" to Devel::MaintBlead 0.02.  This should fix the
        problem that if an inappropriate Perl version was seen, the Makefile.PL
        would not exit.  Also updated "threadsforks" to Devel::ThreadsForks

1.08    1 June 2012
        No functional changes apart from the whole maint/blead logic now
        being handled by the new Devel::MaintBlead module, rather than being
        hardcoded in here.

1.07    1 June 2012
        Added installation description (as generated by the latest version of
        Devel::Required) to pod and README.

        The experiment by generating a "maint" distribution has worked out ok.
        Both releases are now viewable on search.cpan.org and MetaCPAN.  The
        only thing I need to do, is upload the "maint" distribution before
        the "blead" version.

        Added logic so that the very *first* time Makefile.PL is run, it does
        not try to move the "blead" version of the code into place.  This will
        make the "maint" distribution do the right thing.

        Upped the "maint" version to 0.14, so that it works better than the
        0.13 (which tries to install "blead" anyway).

1.06    31 May 2012
        Replaced forks/threads checking logic in Makefile.PL by using the
        new Devel::ThreadsForks module.

        Changed order of files in MANIFEST in the hope that it will show the
        "blead" version of the module by default in search.cpan.org.

        Changed erroneous "require 5.014" by more appropriate "use 5.014".

1.05    30 May 2012
        After on/offlist discussion on p5p, I decided to not have automatic
        state selection logic.  Instead, it will by default try to install
        the "blead" version of the code and fail with an extensive message
        if the version of Perl is not sufficient.  This should ensure "normal"
        behavior as a distribution with a Perl version restriction, while at
        the same time allow packagers to install / package the "maint" version
        without too much trouble.

        Reverted the order in which files were moved into place.  This was
        done to prevent warnings about missing files when doing a running
        of perl Makefile.PL maint from scratch.  The better solution is just
        to have a MANIFEST_maint file as well, and move that into place before
        ExtUtils::MakeMaker does its manifest check.

        There are no functional differences in the code otherwise.

1.04    29 May 2012
        It appears that Devel::Required was deleting the extra text with the
        version information.  Instead I now changed the "A note of caution"

        Moved the moving files into position code until *after* the Makefile
        has been written.  This should take care of missing files from MANIFEST
        warnings when calling perl Makefile.PL for the "maint" version for
        the first time.  Apparently the MANIFEST check is only done the very
        first time Makefile.PL is being run.  Which is a good thing.  Raised
        the maint version to 0.13.

1.03    29 May 2012
        Apparently I lost the pod explaining that the maint version of the
        code is the maint version.  Added again.  For some reason, both
        versions of the code show up on search.cpan.org.  Then it is good
        to show that that documentation does not describe the real thing

        The "dequeue*" methods now return the first element of the values in
        scalar context.  This should simplify the most often used use case,
        where only one value is passed to "enqueue".  As suggested in
        RT #74560.

1.02    29 May 2012
        ARGH DOUBLE ARGH.  MetaCPAN appears to dislike the new -package-
        format so much still, that the occurrence of it, will put the whole
        distribution into a black hole.  Sigh.

        Also: from a previous way that I implemented multiple versions of
        the code, a "make distclean" would clean up too much.  Now fixed.

        Added serializer tests.

1.01    29 May 2012
        ARGH. "package name version" still not being understood by PAUSE
        or MetaCPAN.  Reverting to setting $VERSION explicitely.

1.00    29 May 2012
        Raised version to 1.00, to more easily recognize maintenance versions
        of the module from the more modern version.  Added mention if being
        the maint version in the source of the maint version.  The maint
        version should now be considered to be frozen, except for serious
        bug fixes.

        Added code version parameter to Makefile.PL and documented this in
        the README file.

        Changed tests as suggested by Michael Schwern in RT #76810.

        Added support for other serializer, such as suggested in RT #58250.
        Sorry it had to take this long!  No tests yet, but the documentation
        is at least there already.

0.12    28 May 2012
        It appears that PAUSE is indexing the last file it finds when trying
        to determine what to index.  So I renamed the "lib_blead" directory
        to "lib_xblead" so that it will sort after "lib_maint".  This should
        cause PAUSE to index the blead version of the code, rather than the
        maint version.

0.11    27 May 2012
        Added LICENSE setting.

        Introduced the concept of a "maint" and a "blead" version of the code,
        so that it is possible to start using new Perl features for newer
        versions of the code.  This means that for versions of perl <5.14,
        the "maint" version of the code will be installed (0.10), whereas
        for the perl versions >=5.14, the "blead" version will be installed
        (0.11).  There are no other differences between the versions yet,
        this is really just a test to see how PAUSE and (search.|meta)cpan
        cope with this.

0.10    1 April 2012
        Some code refactoring and code esthetics.  Fixed problem in test-suite.
        Verified it runs on 5.14.2.

0.09    3 October 2007
        Hopefully fixed test-suite for non-thread enabled Perls.

0.08    3 August 2007
        Added version markers so that there will be no complaining if
        Devel::Required is installed.  Otherwise same as 0.07.

0.07    28 December 2003
        Added automatic required modules update using Devel::Required.

0.06    13 August 2003
        Cleaned up Makefile.PL and updated copyright info.  Made sure the
        test-suite runs ok with warnings enabled.

        Removed our and ":unique" attribute as with all of my other Thread::xxx

0.05    24 July 2002
        Made $VERSION and @ISA have the : unique attribute to save memory.

        Added method "dequeue_keep" plus documentation and test-suite.

0.04    21 July 2002
        Added "can_ok" check to the test-suite.

        Renamed "dequeue_nb" to "dequeue_dontwait" to be more in line with
        Thread::Pool.  Added "dequeue_nb" as synonym to remain compatible
        with Thread::Queue.

        Fixed several documentation nits.

0.03    14 July 2002
        Added -use threads- to Makefile.PL to cause breakage if attempting
        to install on a system without threads.

        Added Perl version requirement to README and pod per suggestion of

0.02    13 July 2002
        Added copyright info to pod.

        Name change threads::shared:: -> Thread:: caused this module to be
        renamed to Thread::Queue::Any.  And all the other changes that were

0.01    10 July 2002
        First version of threads::shared::queue::any.